Skip to main content
Get Tooltip

Authorizations

Authorization
string
header
required

SuperOffice username:password are passed in Base64-encoded.

You can also pass inn an unencoded ticket 7T:abc== with the HTTP Authenticate header.

Authorization
string
header
required

SuperOffice SuperId OAuth implicit flow. You need to issue a request to the SuperId authorization URL https://online.superoffice.com/login/common/oauth/authorize?response_type=token &client_id=670734e0-4c5a-11e3-be9e-a171392e81db &redirect_uri=https://example.com/spa/

passing in the application id and redirect URL.

SuperId will log the user in, and redirect to the requested redirect URL with a #payload containing the access token and claims. (The redirect URL must be registered with SuperId in advance)

https://example.com/spa#access_token=8A%3aCust12227.AXRrCITpPBvQX3UbIohb &token_type=bearer &state= &expires_in=3600 &ctx=Cust12227 &netserver_url=https%3a%2f%2fsod.superoffice.com%2fCust12227%2fRemote%2fServices82%2f

You can take the #access_token value and pass it as the Authenticate HTTP header as a BEARER token.

FlowImplicit
Authorization URL
https://online.superoffice.com/login/common/oauth/authorize

Headers

Accept-Language
string

Convert string references and multi-language values into a specified language (iso2) code.

SO-Language
string

Convert string references and multi-language values into a specified language (iso2) code. Overrides Accept-Language value.

SO-Culture
string

Number, date formatting in a specified culture (iso2 language) code. Partially overrides SO-Language/Accept-Language value. Ignored if no Language set.

SO-TimeZone
string

Specify the timezone code that you would like date/time responses converted to.

SO-AppToken
string

The application token that identifies the partner app. Used when calling Online WebAPI from a server.

Query Parameters

$select
string

Optional comma separated list of properties to include in the result. Other fields are then nulled out to reduce payload size: "Name,department,category". Default = show all fields.

Body

TooltipHint

GetTooltip: Parse a tooltip hint and return a tooltip. The returned tooltip string may contain resource string identifiers (in square brackets), to be processed by the resource manager.The tooltip hint is either a literal text, representing itself, or a set of key/value pairs enclosed in curly braces. Each key is separated from its value by an equals sign, and each pair from the next by an ampersand, according to usual conventions.A typical tooltip hint could be {contact_id=123} or {appointment_id=222&mode=simple}

TooltipHint
string

Response

OK

The response is of type string.